Bug 1677341 (CVE-2018-11307) - CVE-2018-11307 jackson-databind: Potential information exfiltration with default typing, serialization gadget from MyBatis
Summary: CVE-2018-11307 jackson-databind: Potential information exfiltration with defa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-11307
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1700948 1672879 1672880 1672881 1700949 1700979 1700980 1730588 1731780 1731787 1731789 1731790 1731792 1732286 1732291 1732539
Blocks: 1666431
TreeView+ depends on / blocked
 
Reported: 2019-02-14 15:27 UTC by Laura Pardo
Modified: 2019-10-18 19:53 UTC (History)
55 users (show)

Fixed In Version: jackson-databind 2.7.9.4, jackson-databind 2.8.11.2, jackson-databind 2.9.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:47:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0782 None None None 2019-04-17 21:01:21 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:47:09 UTC
Red Hat Product Errata RHSA-2019:1106 None None None 2019-05-08 12:04:22 UTC
Red Hat Product Errata RHSA-2019:1107 None None None 2019-05-08 12:09:36 UTC
Red Hat Product Errata RHSA-2019:1108 None None None 2019-05-08 12:11:54 UTC
Red Hat Product Errata RHSA-2019:1140 None None None 2019-05-09 18:15:11 UTC
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:54:14 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:46 UTC
Red Hat Product Errata RHSA-2019:2804 None None None 2019-09-17 13:45:56 UTC
Red Hat Product Errata RHSA-2019:2858 None None None 2019-09-27 00:14:23 UTC
Red Hat Product Errata RHSA-2019:3002 None None None 2019-10-10 12:50:00 UTC
Red Hat Product Errata RHSA-2019:3140 None None None 2019-10-17 14:55:16 UTC
Red Hat Product Errata RHSA-2019:3149 None None None 2019-10-18 19:53:07 UTC

Description Laura Pardo 2019-02-14 15:27:11 UTC
A vulnerability was found in FasterXML jackson-databind before versions 2.7.9.4, 2.8.11.2, 2.9.6. A new potential gadget type from MyBatis (https://github.com/mybatis/mybatis-3) has been reported. It may allow content exfiltration (remote access by sending contents over ftp) when untrusted content is deserialized with default typing enabled.


Upstream Bug:
https://github.com/FasterXML/jackson-databind/issues/2032

References:
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.8

Comment 4 James Hebden 2019-02-20 05:13:25 UTC
OpenDaylight does not use any packages or classes under the org.apache.ibatis (namespace of the MyBatis SQL mapper) and as such is not affected by this. We already have active bugs open to update jackson-databind regardless.

Comment 17 errata-xmlrpc 2019-04-17 21:01:18 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 18 errata-xmlrpc 2019-04-24 18:47:07 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 21 errata-xmlrpc 2019-05-08 12:04:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2019:1106 https://access.redhat.com/errata/RHSA-2019:1106

Comment 22 errata-xmlrpc 2019-05-08 12:09:33 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2019:1107 https://access.redhat.com/errata/RHSA-2019:1107

Comment 23 errata-xmlrpc 2019-05-08 12:11:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2019:1108 https://access.redhat.com/errata/RHSA-2019:1108

Comment 24 errata-xmlrpc 2019-05-09 18:15:09 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.1 zip

Via RHSA-2019:1140 https://access.redhat.com/errata/RHSA-2019:1140

Comment 32 errata-xmlrpc 2019-07-22 14:53:44 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 33 errata-xmlrpc 2019-07-22 14:54:11 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 37 Chess Hazlett 2019-07-29 19:14:27 UTC
Statement:

Red Hat Satellite 6 is not affected by this issue, since Candlepin's java runtime environment does not load MyBatis classes.

Red Hat Virtualization 4 is not affected by this issue, since it does not include MyBatis classes.

Red Hat Fuse 6 and 7 are not directly affected by this issue, as although they do ship the vulnerable jackson-databind component, they do not enable polymorphic deserialization or default typing which are required for exploitability. Their impacts have correspondingly been reduced to Moderate. Future updates may address this flaw.

Comment 38 errata-xmlrpc 2019-09-17 13:45:54 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 41 errata-xmlrpc 2019-09-27 00:14:19 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 42 errata-xmlrpc 2019-10-10 12:49:58 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002

Comment 43 errata-xmlrpc 2019-10-17 14:55:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 44 errata-xmlrpc 2019-10-18 19:53:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3149 https://access.redhat.com/errata/RHSA-2019:3149


Note You need to log in before you can comment on or make changes to this bug.